LLDB-MI(1)

NAME
lldb-mi - manual page for lldb-mi 7

DESCRIPTION
Description: The Machine Interface Driver (MI Driver) is a stand alone executable that either be used via a client i.e. Eclipse or directly from the command line. It processes MI commands, actions those commands using the internal debugger then forms MI response formatted text which is returned to the client.

Information: Current limitations. The MI Driver currently only handles remote target debugging. Local debugging has not been implemented. The MI Driver has been designed primarily to be used with Eclipse Juno and a custom plugin. The custom plugin is not necessary to operate the MI Driver.

MI driver usage:

    lldb-mi [--longOption] [-s hortOption] [executeable]

[] = optional argument.

-h --help

    Prints out usage information for the MI debugger. Exit the MI Driver immediately.

--version

    Prints out GNU (gdb) version information. Exit the MI Driver immediately.

--versionLong

    Prints out MI Driver version information. Exit the MI Driver immediately.

--interpreter

    This option is kept for backward compatibility. This executable always run in MI mode

-s <filename> --source <filename>

    Tells the debugger to read in and execute the lldb commands in the given file, after any file provided on the command line has been loaded.

--executable

    Use the MI Driver in MI mode for the debugging the specified executable.

--synchronous

    Block until each command has finished executing. Used for testing only.

--log

    Use this argument to tell the MI Driver to update it's log file 'lldb-mi-20181026224203.log'.

--log-dir

    Use this argument to specify the directory the MI Driver will place the log file in, i.e --log-dir=/tmp.

executable (NOT IMPLEMENTED)

    The file path to the executable i.e. '"C:\My Dev\foo.exe"'.

MI Driver Command: quit

    Exit the MI Driver application.

  Example MI command:

    3-info-gdb-mi-command gdb-set 3^done,command={exists="true"}